Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(3)  |  Call(2)  |  Derive(0)  |  Import(1)

src/s/k/skdb-HEAD/gui/gui.py   skdb(Download)
from OCC.Display.wxSamplesGui import add_function_to_menu, add_menu, start_display, display
import OCC.Display.wxSamplesGui
from skdb.geom import Point, Direction, move_shape, point_along
from skdb import Interface
from skdb.core.interface import FakeIGraph
    def build_shape(self):
        scale = self.scale
        body = BRepPrimAPI_MakeCylinder(0.02*scale, 0.7*scale).Shape()
        head = BRepPrimAPI_MakeCone(0.1*scale,0.001,0.3*scale).Shape()
        head = move_shape(head, gp_Pnt(0,0,0), gp_Pnt(0,0,0.7*scale)) #move cone to top of arrow
    def build_shape(self):
        scale = self.scale
        body = BRepPrimAPI_MakeCylinder(0.02*scale, 1*scale).Shape()
        head = BRepPrimAPI_MakeWedge (0.3*scale, 0.05*scale, 0.3*scale, 0.1).Shape() #dx, dy, dz, ltx(?)
        head = move_shape(head, gp_Pnt(0,0,0), gp_Pnt(0,0,0.7*scale)) #move flag to top of arrow